# SAE 1.01 - Implémentation d'un besoin client

## Centre aquatique

**Antoine** : Ouverture.c, Sauvegarde.c, Menu.c, main.c, Global.c, GestionAdherents.c, Fonctions.h, Affichage.c
**Ayour** : Affichage.c, Menu.c, Fonctions.h, Global.c, main.c, GestionAdherents.c
**Kyllian** :  Fonctions.h, GestionPoints.c, Global.c, main.c, Menu.c, GestionAdherents.c

_Les adhérents bénéficient d’une carte qui leur permet d’accéder à différentes activités qui coutent des points. Points pouvant être acheter à l'accueil 1 point est égal à 1 euro._

### Administration

- Ajouter un adhérent
- Supprimer un adhérent
- Modifier l'age d'un adhérent via le n° de carte
- Afficher tous les adhérents
- Alimenter une carte en points
- Activer/Désactiver une carte (déclaration de perte d'une carte, sanction suite à un mauvais comportement, carte retrouvée...)
- Afficher les infos d'un adhérent
- Afficher le nombre d'entrées par activité dans la journée
- Afficher le nombre d'adhérents
- ...

### Priorité de travail

- Menu :

```
-- Afficher les infos d'un adherent (NoCarte, age, PointsCarte, CarteActive)
-- Afficher les infos de tous les adherents (NoCarte, age, PointsCarte, CarteActive, affiche nb de carte(adherents))
-- Afficher le nb d'entrées totale de la journée
-- Afficher le nb d'entrées totale de toutes les journées
-- Afficher le nb d'adherents
-- Ajout d'un client
-- Modification de l'age d'un client
-- Supprimer un client
-- Ajout de points ==> carte devient Active
-- Modification de l'activation de la carte ==> Pert, sanction, carte retrouvée
-- Activité faite ==> Perte de points, ajout d'1 au nombre d'activités du jour depuis creation
-- quitter (sauvegarde)
```

- Chargement
- Affichage d'un adherent
- Affichage de tous les adhérents
- Affichage de nb d'entrées journées
- Affichage nb d'entrées ttes journées
- Afficher le nb d'adherents
- Menu
- Gestion Menu (Global)
- Recherche d'un client (NoCarte)
- Ajout d'un client
- Modification de l'age d'un client
- Supprimer un client
- Ajout de points ==> carte devient Active entre 0 et 20 rien, entre 20 et 50 5%, entre 50 et 100 10%, plus 15%
- Modification de l'activation de la carte ==> Pert, sanction, carte retrouvée
- Activité faite ==> Perte de points, ajout d'1 au nombre d'activités du jour depuis creation
- Sauvegarde
Documentation == les structures ex : tableaux pour rentrer les points ….

### Cahier des charges

Il peut s'avérer difficile de gérer les différents clients d'un complexe aquatique. C'est pour cela que nous avons créé cette application, qui permet de gérer les données des clients de Aquavenue.
Il existe plusieurs activités :

- Piscine : 0 points (accès libre)
- Cours de natation : 10 points
- Cours de gymnastique aquatique : 12 points
- Option accessibilité : 0 points
- Aquafit : 9 points
- Aquakid et aquaplouf : 5 points
- Vagues : 15 points
- Aquabike : 20 points
- Aquafamily : 35 points

Lorsqu'un client décide de faire une activité, il est crédité du nombre de points correspondants.
